
QGIS Application - Bug report #8067

layer with cylindrical equal-area projection does not render correctly

2013-06-14 12:35 PM - Brian Sipos

Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16906

Description

I am importing some line-string data along with a set of political-boundary reference lines as separate layers. When I load the data in QGIS

1.7.4 the layers display properly and allow zooming to any scale level. When I load the same data in QGIS 1.8.0, the whole-earth layer of

boundary lines is not displayed when the scale is low enough that part of the layer is outside of the display. Also, if the layer is visible and I

pan the view so that the layer falls part way out-of-view the whole layer is not displayed. This same issue occurs in Fedora 17 standard

package and in Windows 7 latest release installer.

History

#1 - 2013-06-15 04:36 AM - Giovanni Manghi

- Status changed from Open to Feedback

Does this happens on QGIS master? please try and report back. cheers.

#2 - 2013-06-17 06:31 AM - Brian Sipos

Yes, I just installed QGIS master code rev. 28efcda and this issue is present. I free-hand drew some arbitrary layer with similar extents to the one being

hidden and see no issue with the hand-draw lines disappearing. The being-hidden layer was created with current version of GDAL library from line data. It's

relative large in size (1.5 MiB) but I can send the shape files if needed to diagnose this.

#3 - 2013-06-17 06:34 AM - Giovanni Manghi

Brian Sipos wrote:

It's relative large in size (1.5 MiB) but I can send the shape files if needed to diagnose this.

please attach it, cheers.

#4 - 2013-06-17 06:42 AM - Brian Sipos

- File test.sqlite added

Attached is the shape causing issues. I re-encoded as SQLite to keep a single file, but the same drawing issue occurs as the original ESRI shapefile layer.

One issue I know with the layer is that some points are outside of the proper map area (i.e. do not transform to original WGS84 coordinates) but it should

still draw consistently at all scales.
#5 - 2013-06-18 05:34 AM - Giovanni Manghi

Brian Sipos wrote:

Attached is the shape causing issues. I re-encoded as SQLite to keep a single file, but the same drawing issue occurs as the original ESRI shapefile

layer. One issue I know with the layer is that some points are outside of the proper map area (i.e. do not transform to original WGS84 coordinates)

but it should still draw consistently at all scales.

your vector seems to have the following custom projection

+proj=cea +lon_0=90 +lat_ts=30 +x_0=0 +y_0=0 +ellps=WGS84 +units=m +no_defs

is this right?

what projection is?

#6 - 2013-06-18 05:47 AM - Brian Sipos

Yes that is the correct projection. It is cylindrical equal-area with a non-standard reference location (E90 N30).

#7 - 2013-06-18 08:56 AM - Giovanni Manghi

- Subject changed from Large layer not rendered a low scales to layer with cylindrical equal-area projection does not render correctly

#8 - 2014-06-21 08:08 AM - Jürgen Fischer

- Category set to Map Canvas

#9 - 2014-06-21 08:08 AM - Jürgen Fischer

- Category changed from Map Canvas to Projection Support

#10 - 2014-06-23 03:17 AM - Giovanni Manghi

- Operating System deleted (Fedora, Windows)

- File shp.zip added

- Status changed from Feedback to Open

- OS version deleted (Fedora 17, Windows 7)

- Affected QGIS version changed from 1.8.0 to master

#11 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#12 - 2019-03-09 04:04 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
Files

test.sqlite 1.57 MB 2013-06-17 Brian Sipos

shp.zip 1.37 MB 2014-06-23 Giovanni Manghi
